Replace the entire feed of the authenticated user
PUT
/cms/customer/feed
const url = 'https://api.example.com/cms/customer/feed';const options = { method: 'PUT', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"items":[{"object_type":"Article","object_id":123,"field_name":"customFieldName"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.example.com/cms/customer/feed \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "items": [ { "object_type": "Article", "object_id": 123, "field_name": "customFieldName" } ] }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
items
Array<object>
object
object_type
string
Example
Articleobject_id
integer
Example
123field_name
string
Example
customFieldNameResponses
Section titled “Responses”Feed replaced successfully
Media typeapplication/json
object
Example generated
{}Authentication required